Replace client tags
curl --request PUT \
--url https://api.finsync.ar/api/clients/{id}/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tag_ids": [
123
]
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag_ids: [123]})
};
fetch('https://api.finsync.ar/api/clients/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag_ids: [123]})
};
fetch('https://api.finsync.ar/api/clients/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/clients/{id}/tags"
payload = { "tag_ids": [123] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)[
{
"id": 123,
"client_id": 123,
"tag_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"tag": {
"id": 123,
"name": "<string>",
"color": "#3b82f6",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]Clients
Replace client tags
Replaces the client’s tag set using the same add/remove helpers as dashboard edit. Send tag_ids: [] to clear all labels. Does not affect the special Centro de resultados cost-center path.
PUT
/
api
/
clients
/
{id}
/
tags
Replace client tags
curl --request PUT \
--url https://api.finsync.ar/api/clients/{id}/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tag_ids": [
123
]
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag_ids: [123]})
};
fetch('https://api.finsync.ar/api/clients/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag_ids: [123]})
};
fetch('https://api.finsync.ar/api/clients/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/clients/{id}/tags"
payload = { "tag_ids": [123] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)[
{
"id": 123,
"client_id": 123,
"tag_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"tag": {
"id": 123,
"name": "<string>",
"color": "#3b82f6",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]Authorizations
API Key for authentication
Path Parameters
Client ID
Body
application/json
Full set of company tag IDs to keep on the client